Deposit funds from DDA
Deposits funds from the linked DDA.
POST
/
fiat_accounts
/
{accountId}
/
deposit_from_linked_dda
TypeScript
const response: Promise<FireblocksResponse<DepositFundsFromLinkedDDAResponse>> = fireblocks.fiatAccounts.depositFundsFromLinkedDDA(fiatAccountsApiDepositFundsFromLinkedDDARequest);CompletableFuture<ApiResponse<DepositFundsFromLinkedDDAResponse>> response = fireblocks.fiatAccounts().depositFundsFromLinkedDDA(accountId, funds, idempotencyKey);response = fireblocks.fiat_accounts.deposit_funds_from_linked_d_d_a(account_id, funds, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/fiat_accounts/{accountId}/deposit_from_linked_dda \
--header 'Content-Type: application/json' \
--data '{
"amount": 123
}'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123})
};
fetch('https://api.fireblocks.io/v1/fiat_accounts/{accountId}/deposit_from_linked_dda', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The ID of the fiat account to use
Body
application/json
Response
Transfer succeeded
Indicates whether the funds were successfully deposited from the linked DDA
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<DepositFundsFromLinkedDDAResponse>> = fireblocks.fiatAccounts.depositFundsFromLinkedDDA(fiatAccountsApiDepositFundsFromLinkedDDARequest);CompletableFuture<ApiResponse<DepositFundsFromLinkedDDAResponse>> response = fireblocks.fiatAccounts().depositFundsFromLinkedDDA(accountId, funds, idempotencyKey);response = fireblocks.fiat_accounts.deposit_funds_from_linked_d_d_a(account_id, funds, idempotency_key);